%global api     1.0
%global major   1
%define libname %mklibname jsonrpc_glib %{api} %{major}
%define girname %mklibname jsonrpc-gir %{api}
%define devname %mklibname jsonrpc_glib %{api} -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:           jsonrpc-glib
Version:        3.44.1
Release:        %mkrel 1
Summary:        A JSON-RPC library for GLib
Group:          System/Libraries

License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/jsonrpc-glib
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# https://github.com/chergert/jsonrpc-glib/issues/3
# https://gitlab.gnome.org/GNOME/jsonrpc-glib/-/issues/2
Patch1:         jsonrpc-glib-skip-test-stress.patch

BuildRequires:  gi-docgen
BuildRequires:  meson
BuildRequires:  vala

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(vapigen)



%description
Jsonrpc-GLib is a JSON-RPC library for GLib. It includes support for
communicating as both a JSON-RPC client and server. Additionally,
supports upgrading connections to use GVariant for less runtime overhead.

%package        -n %libname
Summary:        Development files for %{name}
Group:          System/Libraries
Obsoletes:      %{_lib}jsonrpc_glib0 < 3.26.1-2

%description    -n %libname
Jsonrpc-GLib is a JSON-RPC library for GLib. It includes support for
communicating as both a JSON-RPC client and server. Additionally,
supports upgrading connections to use GVariant for less runtime overhead.

%package	-n %girname
Summary:        GObject Introspection interface description for Jsonrpc
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{_lib}jsonrpc-glib0 < 3.26.1-2

%description	-n %girname
GObject Introspection interface description for Jsonrpc.

%package        -n %devname
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}%{api}-devel = %{version}-%{release}
Obsoletes:      %{_lib}jsonrpc_glib-devel < 3.26.1-2

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1


%build
%meson -D enable_gtk_doc=true
%meson_build


%install
%meson_install


%check
%meson_test

%files -n %libname
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/libjsonrpc-glib-%{api}.so.%{major}{,.*}

%files -n %girname
%{_libdir}/girepository-1.0/Jsonrpc-%{api}.typelib

%files -n %devname
%doc CONTRIBUTING.md
%{_datadir}/gir-1.0/Jsonrpc-%{api}.gir
%{_datadir}/vala/vapi/jsonrpc-glib-%{api}.*
%{_includedir}/jsonrpc-glib-%{api}/
%{_libdir}/libjsonrpc-glib-%{api}.so
%{_libdir}/pkgconfig/jsonrpc-glib-%{api}.pc
%doc %{_docdir}/%{name}


%changelog
* Thu Aug 08 2024 daviddavid <daviddavid> 3.44.1-1.mga10
+ Revision: 2084120
- new version 3.44.1

* Sat Apr 22 2023 tmb <tmb> 3.44.0-1.mga9
+ Revision: 1954098
- update to 3.44.0

* Sun Mar 20 2022 tv <tv> 3.42.0-1.mga9
+ Revision: 1801726
- BR gi-docgen instead of gtk-doc
+ ovitters <ovitters>
- new version 3.42.0

* Wed Mar 16 2022 tv <tv> 3.41.0-1.mga9
+ Revision: 1794486
- Update to 3.41.0

* Sun Sep 13 2020 daviddavid <daviddavid> 3.38.0-1.mga8
+ Revision: 1625660
- new version 3.38.0

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1531405
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439867
- new version 3.34.0

* Wed Aug 07 2019 tv <tv> 3.33.3-1.mga8
+ Revision: 1427953
- new release

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392682
- Rebuild with meson 0.50.1

* Wed Mar 13 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1375174
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.91-1.mga7
+ Revision: 1372420
- new version 3.31.91

* Wed Oct 10 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1319403
- new version 3.30.1

* Wed Sep 05 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1257230
- new version 3.30.0

* Wed Aug 15 2018 ovitters <ovitters> 3.29.91-1.mga7
+ Revision: 1251813
- new version 3.29.91

* Wed Jul 18 2018 ovitters <ovitters> 3.29.4-1.mga7
+ Revision: 1244108
- new version 3.29.4

* Wed Jun 20 2018 ovitters <ovitters> 3.29.3-1.mga7
+ Revision: 1238446
- new version 3.29.3

* Tue Jun 19 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1237956
- new version 3.28.1

* Wed Mar 14 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1209127
- new version 3.28.0

* Tue Feb 27 2018 ovitters <ovitters> 3.27.91-1.mga7
+ Revision: 1205550
- new version 3.27.91
- bump major
- new version 3.27.90
- fix source url

* Sat Jan 13 2018 wally <wally> 3.26.1-2.mga7
+ Revision: 1192681
- split out gir typelib
- enable debug pkg
- fix lib and devel pkg names
- don't own system dirs
- tag docs as such

* Wed Oct 25 2017 tv <tv> 3.26.1-1.mga7
+ Revision: 1173598
- BR python-six & python3-six
- drop merged patches
- new release

* Wed Sep 20 2017 tv <tv> 3.26.0-2.mga7
+ Revision: 1156427
- BR pkgconfig(vapigen)
- imported package jsonrpc-glib


* Wed Sep 20 2017 Thierry Vignaud <tv@mageia.org> 3.26.0-1.mga7
- import from FC
- disable debuginfo b/c of debugsources issue

* Wed Sep 13 2017 Yanko Kaneti <yaneti@declera.com> - 3.26.0-2
- Some upstream fixes for different platforms
- Run tests, except test-stress

* Tue Sep 12 2017 Yanko Kaneti <yaneti@declera.com> - 3.26.0-1
- Update to 3.26.0

* Tue Sep  5 2017 Yanko Kaneti <yaneti@declera.com> - 3.25.92-1
- Update to 3.25.92

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.25.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.25.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 19 2017 Yanko Kaneti <yaneti@declera.com> - 3.25.3-1
- Update to 3.25.3

* Fri Jun  9 2017 Yanko Kaneti <yaneti@declera.com> - 3.25.2-2
- Address some issues from the other review - -2
- Initial spec
